FreeMat

- Main Page
- Related Pages

CTYPEFREEZE Convert FreeMat Structure to C Type

Section: FreeMat External Interface

# Usage

The `ctypefreeze` function is used to convert a FreeMat structure into a C struct as defined by a C structure typedef. To use the `cstructfreeze` function, you must first define the type of the C structure using the `ctypedefine` function. The `ctypefreeze` function then serializes a FreeMat structure to a set of bytes, and returns it as an array. The usage for `ctypefreeze` is

      byte_array = ctypefreeze(mystruct, 'typename')

where `mystruct` is the array we want to 'freeze' to a memory array, and `typename` is the name of the C type that we want the resulting byte array to conform to.